Bug 450902 - It's possible to close main sidebar by clicking on the rightmost side of the last list item - Wrong highlight
Summary: It's possible to close main sidebar by clicking on the rightmost side of the ...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-27 01:37 UTC by guimarcalsilva
Modified: 2022-06-23 03:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.96


Attachments
User can close sidebar. Last item not highlighted properly as well. (995.04 KB, video/mp4)
2022-02-27 01:37 UTC, guimarcalsilva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description guimarcalsilva 2022-02-27 01:37:04 UTC
Created attachment 147162 [details]
User can close sidebar. Last item not highlighted properly as well.

SUMMARY

After the latest updates for Neon Unstable, it's now possible to close the main sidebar by clicking on the rightmost side of the last list item. The part that triggers that action doesn't get highlighted on mouse-over. Check the attached video for details.

STEPS TO REPRODUCE
1. Open Discover
2. Click on the rightmost side of the last item in the sidebar

OBSERVED RESULT

Sidebar gets closed

EXPECTED RESULT

Sidebar should never be closed.

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.24.80
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-30-generic (64-bit)
Graphics Platform: Wayland
Processors: 6 × Intel® Core™ i5-9400F CPU @ 2.90GHz
Memory: 7,6 GiB of RAM
Graphics Processor: Radeon RX 570 Series
Comment 1 Nate Graham 2022-03-21 03:37:12 UTC
Wow, can confirm. Maybe there's an invisible drawer handle here.
Comment 2 Bug Janitor Service 2022-06-18 01:27:08 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kirigami/-/merge_requests/578
Comment 3 Aleix Pol 2022-06-20 10:59:28 UTC
Git commit 1117c6c80e8a0ab26b5d62df5a463db83ac89885 by Aleix Pol Gonzalez, on behalf of Aleix Pol.
Committed on 20/06/2022 at 10:54.
Pushed by apol into branch 'master'.

OverlayDrawer: Make sure the handle is gone when it's hidden

Otherwise it can be interacted with unexpectedly.

M  +1    -1    src/controls/templates/OverlayDrawer.qml

https://invent.kde.org/frameworks/kirigami/commit/1117c6c80e8a0ab26b5d62df5a463db83ac89885